Bug 55365 - Perhaps a buffer overflow in gdm
Perhaps a buffer overflow in gdm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 07:22 EST by Finn Aarup Nielsen
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-31 19:46:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Finn Aarup Nielsen 2001-10-30 07:22:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
On SecurityFocus and other sites a buffer overflow problem in connection
with gdm are reported. Whether the bug exist in Redhat 7.x is not clear.
The solution provided by
SecurityFocus is to disable XDMCP, - rather than fix the bug. 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
Not investigated 

	

Additional info:

http://www.securityfocus.com/bid/1233
http://www.linuxsecurity.com/advisories/mandrake_advisory-1562.html
http://linux.oreillynet.com/pub/a/linux/2001/09/04/insecurities.html?page=2
Comment 1 Finn Aarup Nielsen 2001-11-02 04:06:12 EST
gdm-2.0beta2-37 has a patch for this dated May 17 2000. According to 
the source for Redhat 7.0 (gdm-2.0beta2-security2.patch, lines 67-69).

ftp://ftp.redhat.com/pub/redhat/linux/7.0/en/os/i386/SRPMS/gdm-2.0beta2-37.src.rpm

The patch is also present in gdm-2.0beta2-45.src.rpm (Redhat 7.1)

Thanks to Hanne Munkholm for solving this.

Note You need to log in before you can comment on or make changes to this bug.